# m_mode_base.h File Reference

## Detailed Description

Base for mode classes.

Definition in file m_mode_base.h.

`#include "dll.h"`
`#include "controller.h"`

Include dependency graph for m_mode_base.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::Mode::Mode
| Base class for simple mode classes. More...